Bug 1649336 - Switch tor from 0.2.9 LTS to 0.3.5 LTS
Summary: Switch tor from 0.2.9 LTS to 0.3.5 LTS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: tor
Version: epel7
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-13 12:19 UTC by Ludovic Hirlimann [:Paul-muadib]
Modified: 2019-01-24 01:46 UTC (History)
7 users (show)

Fixed In Version: tor-0.3.5.7-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-24 01:46:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Ludovic Hirlimann [:Paul-muadib] 2018-11-13 12:19:27 UTC
I'd like the TOR package to move from the older LTS branch to the newer (see https://trac.torproject.org/projects/tor/wiki/org/teams/NetworkTeam/CoreTorReleases). With 0.3 > we'd get ipv6 support. I run 2 nodes and would love to have ipv6 being used on these for TOR too.

I'd gladly help test packages if that would be needed.

Comment 1 Marcel Haerry 2018-11-13 12:35:38 UTC
Yes, we will move once the new LTS package got released. It's still only released as alpha and based on the page you linked the supposed release date is going to be in December.

There are alpha builds available (EL7 + fedora) here: https://copr.fedorainfracloud.org/coprs/maha/tor-alpha/

Please help testing them!

Comment 2 Ludovic Hirlimann [:Paul-muadib] 2018-11-13 13:00:08 UTC
(In reply to Marcel Haerry from comment #1)

> Please help testing them!


Any chance of having an aarch64 build on copr?

Comment 3 Marcel Haerry 2018-11-13 13:53:57 UTC
Just enabled this arch and did a rebuilt of the latest alpha release for them.

Comment 4 Marcel Haerry 2018-11-13 23:02:38 UTC
For the record: copr doesn't support aarch64 chroots atm.

Comment 5 Fedora Update System 2019-01-07 23:34:45 UTC
tor-0.3.5.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e9f0dbf0b2

Comment 6 Fedora Update System 2019-01-08 01:11:29 UTC
tor-0.3.5.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e9f0dbf0b2

Comment 7 Fedora Update System 2019-01-24 01:46:50 UTC
tor-0.3.5.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.